


ON LINE HELP FOR STYLE MAKER

Use cursor keys or page Up/Down to move around

This help is on a file called stylhelp.bb

PRINTING OUT THIS MANUAL
If you would like to print it out type:
           copy stylhelp.bb prn
            (  from the DOS prompt outside of the program)

TABLE OF CONTENTS

  1. Overview of the Style Maker
  2. Explanation of the Screen
  3. Entering Drum Patterns
  4. Entering Bass Patterns
  5. Entering Piano Patterns
  6. Tutorial
  7. Compiling the style
 ************************************************************
1 . Overview of the style maker
      The Style Maker is a part of the Band-in-a-Box that lets you
    make up your own styles . Once made , the styles are saved to disk
    and are then ready to be used by the program for playing any song
    in the selected 'User style'.Styles end up as small files eg. 5K
    so 50-60 styles can be stored per 360K floppy disk. Note that styles
    ( with .STY extension ) are distinct from song files (.SG? extension ).
    The style maker has been designed to be as flexible as possible.
    a simple style would consist of 3 patterns ( 1 each bass , drums ,
    and piano ) , but more complex and varying styles are created by
    using more patterns ( up to 600 may be entered ! ) .
       The Styles are made by entering drum ,bass and/or piano patterns
    in the desired style .
       Drum patterns:
          - are entered in step time from a typical
            drum programming screen (grid).
          - are always entered as 1 bar patterns
             ( longer patterns may be chained together using MASKS -
               decribed below )

       Bass and piano patterns:
          - are played in  real time from a Midi Keyboard
          - are played in always on a C7 chord  ( C E G Bb )
          - The Patterns for Bass and Piano are classified by
            the length of the pattern ie. the number of notes that
            the chord lasts without a change of chord .
  4 bar ex.      | F         | Bb    C7   | F6           |            |
  chord duration   4           2     2      8

          -Patterns may be entered for chord durations of 1,2,4, and 8
           notes . The Band-in-a-Box program sorts out everything else
           about determining the length of the chord durations in the song
           and combining lengths for unusual lengths ( 3= 2+ 1 etc .)
          - The patterns are always recorded in 2 bar chunks , regardless
            of the chord duration . If a short chord duration is
            entered , the remainder of the pattern is ignored .
          - Patterns are also entered for the A and B substyles .
          - If more than 1 pattern is entered for a particular
            chord duration , the program will randomly pick between them.
          - When a pattern is picked may be further controlled
            by Masks- for example a pattern with a Mask of 2 would be played
            only on even #'d bars ( #'d from last part marker ) .
          - special notes called MACRO notes are available in
            bass and piano patterns . When the playback encounters
            the Macro notes , it will not play the note but rather will
            trigger a specific function , be it a bass walking note ,
            or a ' jazz chord ' - see below for specifics.


      PLAYBACK OF PATTERNS IN THE STYLE MAKER is
         done from the main screen :
          - <F4> key plays pattern back exactly as played
          - <F8> key plays pattern back as Band-in-a-Box would
                 ie . on a specific chord set by the user from a menu
          - any key stops playback of the pattern
      PATTERNS ARE ERASED BY ASSIGNING A WEIGHT OF ZERO TO THE PATTERN

 ************************************************************

2 Explanation of the Screen
   The Style Maker consists of 2 screens:
         1.Style Maker Screen
         2.Drum Pattern screen

    1. The Style Maker screen
          The Style Maker screen is full of patterns - mostly empty.
          These numbers indicate whether or not a pattern has been
          recorded at the location - a period (.) indicates no pattern and
          a number from 1-9 indicates that a pattern has been recorded
          with the actual value corresponding to the desired weight
          the pattern is to be given relative to other similar patterns.
          Patterns that you don't want to here very often in the style
          are given low weights,
             eg.  0 = no pattern recorded
                  1=  pattern recorded
                  8 = pattern recorded with weight = 8
         The rows correspond to the type of pattern
           -the screen is divided into 1/3  drum/bass/piano
           -A and B refer to the 2 substyles available in the
            Band-in-a-Box program
           - the number following refers to the CHORD DURATION for
             the Pattern . This is important so will be described in
             detail here .
              Consider the following chord progression
              | F6             |              | G7          | /  / Am7 / |
              | Gm7            | C7 /  /  Gb9 | F6    Dm7   | Eb9 D9 C7sus|

             When Band-in-a-Box goes to play this back it will
             analyze the chord durations as follows
               the F6 chord lasts  8 notes
                   G7 chord lasts  6 notes
                   Am7 chord lasts  2 notes
                   Gm7 chord lasts  4 notes
                   C7  chord lasts  3 notes
                   Gb9 chord lasts  1 notes
                   F6  chord lasts  2 notes
                   Dm7 chord lasts  2 notes
                   Eb9 chord lasts  1 notes
                   D9  chord lasts  1 notes
                   C7sus chord lasts  2 notes

          - Because patterns are played very differently on
            chords lasting 1 note compared to those lasting 8 notes
            ( the 8 note pattern might rest for the first 4 notes )
            the Style Maker gives you the option of entering specific
            patterns for each chord duration. Durations of 1,2 4 and 8
            are allowed . If a duration of 3 is encountered it is
            broken up into 2 patterns ( 2+1 ) , and so on .

         so the row

      BASS B 4 Beat  5 6 0 1 0 0 0 0 0 0 0
        would be for entering Bass patterns with Chord Durations of 4
                              in B substyle
        in the example above there are currently 3 patterns recorded
        with relative weights of 5,6 and 1. The pattern with a weight
        of 1 will only be chosen occasionally relative to the other 2.

 ************************************************************
      2 . The Drum Pattern Screen
            - this screen is used for step recording and playback of
              1 bar patterns
            - patterns are recorded in timebase of 12 ( 4 beats * triplets)
                                                or 16 ( 4 beats * 16ths   )
            - NOTE : ALL USER STYLES ARE ENTERED IN 4/4 TIME
                     The Band-in-a-Box Program is capable of playing back
                     in any time signature ( via the F5 Key setting )
                     so user defined waltz styles would be made as 4/4
                     but played as 3/4 .
 ************************************************************
      3. Recording Drum Patterns
             -From the Main Style Maker screen , move the highlight
              square to over the Drum pattern you wish to record.
             -From the Main Style Maker Screen type 'R' to
             enter the Drum Sreen STEP time record screen
             - The Screen will now change to the Drum Pattern Entry
               screen . This has a grid with 4 beats across the top
               and 18 instruments down the side .
            - Your first decision is the timebase - either
               12 for triplets  ( 4 beats * triplets )
               or 16            ( 4 beats * 16th notes )
            - If you set timebase of 12 - the program will ignore
              the 4th column of each beat - in fact will skip over it
              when you move around the screen using cursor keys .
            - the idea is that you move around the grid and type
              velocities from 0 to 127  where you want a note to
              be played in the bar . Press <F4> for playback - this is
              pretty routine drum pattern programming so it  may be
              intuitive to you .

            - Hot Keys are available to avoid cumbersome typing of
              velocities - in fact the bottom row of keyboard
              ie.  zxcvbnm,./ are all hot keys from 0 to 127
              Other Hot Keys are   ENTER key : = Last Entry
                                   [ ] keys  : +/- 5 to current entry
            - Every note can have an alternate note associated with it .
              -For example you might want a closed high hat 80% of time
              and open high hat 20% . This is accomplished by
              entering the closed high hat velocity - then typing F5 key
              to enter the Alternate screen - Set Alternate Play%=20
              and Note#=4 (high hat ) - numbers are displayed on
              left of screen.
              -Other use would be a crash cymbal 20% of the time with
               nothing the other 80% . Enter the crash - then set
                 Alternate %= 80 Alternate Note#=0 ( no note )
            - When you're done with your pattern play it with F4 key
              now Save it and Exit by typing F10 Key
                You are now presented with the following options :
                This screen is also accessed directly from the main
                Style Maker screen by typing 'E' to Edit the settings.
                  -RELATIVE WEIGHT : This was described above - it refers
                       to how often you want to here this pattern relative
                       to other patterns on the same row . Weights can
                       be changed at any time - so don't worry - this is
                       usually used to fine tune a style eg. " I wish it
                       would play that  drum fill less often "

                  - PLAYBACK BAR MASK: This # is usually left at 0
                      if set to
                      0:pattern played at any bar     0,1,2,3,4,5...
                      1:pattern played at odd # bars only 1,3,5,7,9,...
                      2:pattern played at even bars only 2,4,6,8,10...
                      3:pattern played on 3rd of 4 bar  ( 3,7,11,15..)
                      4:pattern played on 4th of 4 ( 4,8,12,16,20...)
                      5:pattern played on 5th of 8  5,13,21...
                      6:pattern played on 6th of 8  6,14,22...
                      7:pattern played on 7th of 8  7,15,23...
                      8:pattern played on 8th of 8  8,16,24...

                    The bar #s are measured relative to the
                    last part marker.
                    This Mask feature allows entry of multi bar patterns
                    by setting mask = 1,2,3,4 etc.

                  - ALLOW OTHER PATTERNS : If Set to Yes the Picker will
                     include other patterns with a mask of zero as well
                     as the present pattern.For example if you have a
                     drum pattern to occur on every 4 bar , but not to be
                     the ONLY pattern to be a candidate to be picked , you
                     would set ALLOW OTHER PATTERNS=Yes.
                  - LATE TRIPLETS : Most drum patterns are quantized ,
                     which sounds great , except for jazz . The third
                     triplet in jazz swing is really between the 3rd triplet
                     and the 4th sixteenth . This setting lets you set
                     this "LATE TRIPLET" to be from 0 to 10 with a typically
                     nice setting=6
                  - when you've exited the drum screen you're returned
                    to the Style Maker screen . From the Style Maker screen
                    you can directly Play the Drum Pattern - <F4> key
                    and also Edit the settings above from the E-Edit Key
                    in addition to re-entering the pattern by the R-Record
                    Key .

                 Drum Patterns may be copied by using the SCRAP
                 <ALT C > copy the pattern to the scrap
                 <ALT V > paste from the scrap
           ( the scrap also works for bass and piano )
 ************************************************************

  4. RECORDING BASS PATTERNS
        - move the cursor to the bass area which is the middle of the
          screen . Decide on entering a pattern for 'A' substyle or
          'B' substyle , then decide on the Chord Duration you're
          entering for - move the cursor to this row and then to
          an empty pattern ie with a Zero weight setting . If You
          have chosen a chord duration of 4 in B substyle you'll be
          using the row BASS B 4 beat . This pattern would get used
          a lot in the M.A.S.H theme ( mostly duration=4 )
          | Dm7         | G7         | C6         | F6        |
          | Bb6         | E7         | Am7        |           |

          Even though you'll be recording a 4 note pattern , like
          every other pattern you'll be recording 2 bars - 1bar of
          your pattern , the other bar blank - you'll wait out the
          2nd bar until the program automatically shuts off record
          by presenting you with the Bass Options Menu .
         - Here's what you play for a Bass Pattern
            - Every pattern is entered on a C7 chord ( C E G Bb )
               The Root is = Midi Note #48 (C)
               On A Korg M1 this is 12 semitones above the
               lowest note on the keyboard.
            - So all of your bass patterns should be centered around
              this C Note (#48) . Also don't go more than a fourth below
              this ( the G Note (#43)) or your patterns will sound too low
              when transposed.
            - Never enter a pattern for a chord other than C7 , The program
              will sort out how to play the other chords ( as you can
              here by pressing F8 key )
           - When you press record the program will play a total of 4 bars
             then automatically stop, displaying the Bass Options Menu
               - the first 2 bars are a lead in - playing drums and piano
                 patterns in the style that you're making
               - the last 2 bars are for you to record the bass pattern
               - if you interrupt the recording ( by pressing a key )
                 the take will be REJECTED.
            - If you make it to the end of the 2 bar recording , the Bass
               Options Menu will be displayed with the following Options
                   -RELATIVE WEIGHT : This was described above - it refers
                       to how often you want to here this pattern relative
                       to other patterns on the same row . Weights can
                       be changed at any time - so don't worry - this is
                       usually used to fine tune a style

                  - PLAYBACK BAR MASK: This # is usually left at 0
                      if set to
                      0:pattern played at any bar     0,1,2,3,4,5...
                      1:pattern played at odd # bars only 1,3,5,7,9,...
                      2:pattern played at even bars only 2,4,6,8,10...
                      3:pattern played on 3rd of 4 bar  ( 3,7,11,15..)
                      4:pattern played on 4th of 4 ( 4,8,12,16,20...)
                      5:pattern played on 5th of 8  5,13,21...
                      6:pattern played on 6th of 8  6,14,22...
                      7:pattern played on 7th of 8  7,15,23...
                      8:pattern played on 8th of 8  8,16,24...

                    The bar #s are measured relaitive to the
                    last part marker.
                    This Mask feature allows entry of multi bar patterns
                    by setting mask = 1,2,3,4 etc.

                  - ALLOW OTHER PATTERNS : If Set to Yes the Picker will
                     include other patterns with a mask of zero as well
                     as the present pattern.For example if you have a
                     drum pattern to occur on every 4 bar , but not to be
                     the ONLY pattern to be a candidate to be picked , you
                     would set ALLOW OTHER PATTERNS=Yes.
                     of less than 4 - for example for a chord duration
                     of 2 to be picked only when on beat 3 set Beat Mask=3
                   *********
                   OK TO USE MACRO NOTES (BASS)
                      - Macro Notes are an important feature which allow
                        your patterns to access intelligence within the
                        Band-in-a-Box program . A pattern recorded with
                        Macro notes will sound a little strange when you're
                        recording it , or playing it back as played with
                        the F4 key , but will sound correct when played
                        back with the F8 key ( and therefore OK in the style)

                     The Following are the Bass Macros :

                    Note # 72 (C) :Pop Walking Note(s) .
                            -On playback <F8>, the Note#72 will be replaced
                             by intelligent notes walking in a pop/country
                             mode to the next chord. Maximum 4 walking notes
                             per pattern

                    Note # 76 (E) :Note a semitone below Root of Next Chord
                           77 (F) :Root Of Next Chord
                           78 (F#):Note a semitone ABOVE Root of Next Chord
                           79 (G) :Best Fifth ( A Fifth above or below
                                   the Root depending on how high the
                                   root is.
                  Remember to get Bass Macros Working you must :
                     - hit the right note #  ( you may be out by an octave)
                     - Set OK to use macros to Y.es ( can check this
                           setting by pressing E.dit key.
                  and - Playback the Pattern with F8 key ( the F4 key
                        gives you an 'as played' playback with the
                        strange sounding high macro notes

            Bass Patterns may be copied by using the SCRAP
                 <ALT C > copy the pattern to the scrap
                 <ALT V > paste from the scrap
           ( the scrap also works for drums and piano )

*****************************************************

5. Entering Piano Patterns

      - see entering bass patterns for info on moving to the correct
        pattern - piano is bottom 3rd of screen
      - as with bass , the pattern is recorded as 2 bars , following
        the 2 bar lead in played by the bass/drums .
      - as long as you haven't interrupted playback by pressing a key
        the Piano Options Menu will be displayed
        with the following options :
         Playback Weight:      ------ THESE OPTIONS ARE THE SAME
         PlayBack Bar Mask:      |    IDEA AS DESCRIBED FOR BASS ABOVE
         Playback Beat Mask:     |
         Allow Other Patterns: ------

         OK to use macros
           The Piano macros are similar in concept to the Bass Macros
           described above except that they trigger a piano chord when
           played back:

           The Piano Macros Are :
         Midi Note # 83 B   Pop Chord Diatonic Below
         Midi Note # 84 C   Pop Chord
         Midi Note # 85 C#  Pop Chord Diatonic Above
         Midi Note # 88 E   Jazz Chord Chromatic Below
         Midi Note # 89 F   Jazz Chord
         Midi Note # 90 F#  Jazz Chord Chromatic Above
         Midi Note # 93 A   Next Chord ( Jazz )

         OK to embellish pattern:
             Normally when entering piano patterns you would only use
             the notes C,E,G,Bb ( unless as passing notes )
             Also the Left Hand extends from Note #36 to #48 ( the
             Left Hand does not participate in smooth voice leading
             or embellishment )
             If You set ok to embellish the pattern , the chords
             will be randomly embellished IF you've set Jazz to Y.es
             at the top of the Style Maker screen.The embellishment
             works in a similar way to the Jazz embellishment in the
             Band-in-a-Box jazz style ie.intelligent in key you're in .
               Embellishment=0 no embellish
                            =1 constant embellishment through the pattern
                            =2 embellishment changes through the pattern

         Type of Voice Leading
            0 = intelligent
            1 = smooth
            2 = simple

400       The usual type of voice leading is type 0 = intelligent
          If the notes   C E G Bb were played as a C7 pattern
          the Band-in-a-Box would transpose that voicing to a F7
          chord as          F A C Eb
            which is fine but not very smooth

          A more pleasant setting would be=1 smooth for 4 note
          then the F7 would be voiced automatically as
                        C Eb F A
          If you plan to use passing notes and not just chord tones
          then set voicing =2 for the simple type of voice leading
          which will just transpose the pattern and adjust notes
          only if 3rd is minor or 5th is b or # .

           Transpose Root Pattern Y.es or N.o
            Used in conjunction with smooth voice leading - if set to
            yes then the tonal centre to decide which inversions of chord
            to use will be changed to the key of the song , and smooth
            voice leading will proceed from the new tonal center.
              If you had entered an arpeggio  as
              as       C E G Bb  ( C7 )
              this would be smooth voiced in the key of F
               as      C E F A
                 unless we set transpose root pattern to Y.es
                 then will be voiced as
                      F A C E

               Piano Patterns may be copied by using the SCRAP
                 <ALT C > copy the pattern to the scrap
                 <ALT V > paste from the scrap
           ( the scrap also works for drums and bass )

*******************************************************

 Playback of patterns
     F4 to playback pattern exactly as recorded
     F8 to playback pattern on certain chord

6. Tutorial
     Lets put in a simple style into the StyleMaker.
     It will be the 'BlueHill style'
     It should be already on your disk on a style called bluehill.sty

     It is an example of a simple style - I made it for this demo in
     under 5 minutes - it has a total of 4 patterns
       an 'A' drum pattern          (high hat )
        a 'B' substyle drum pattern (ride cymbal)
        a Bass Pattern
        a Piano Pattern
    The file is stored as a .STY file . The size is small - BLUEHILL.STY
    is about 1K .
    Lets load it in and have a look at it
       -Choose USER from the pull down menu and select EDIT exisitng style
       ( a shortcut for this is ALT F9 )
       - You will now see a menu of the styles - move the cursor over
         BlueHill.STY and Press <ENTER> .
         After a delay to load in the file you will be in the StyleMaker.
         You can move around the StyleMaker with cursor keys ( no mouse ).
         Mostly you'll see dots ('.' periods). These represent empty
         patterns which haven;t been recorded. You'll see a few #'s -in this
         case they'll be 5's - these #'s represent the patterns . Move
         the cursor over these patterns and press <F4 Key> for play.
         You will then here all 3 instruments playing but you should
         concentrate on listening to the instrument of the pattern you
         are listening to - indicated by you cursor position.
        - Move over the Drum Pattern in A substyle (column 1 row 1)
          Press Play - you should hear a pattern of drums with high hat
          triplets. As drums are entered in step time* you may edit the
          drum pattern by pressing R ( for Record )
          (* unlike piano/bass which are recorded in real time )

          After pressing R you are now in the Drum Editor.
            -  Move around with cursor keys .The #s on the grids are
              velocities which vary from 0 to 127 . Use the bottom
              row of QWERTY keyboard ie zxcvbnm,./ keys for rapid entry
              of common velocities .
            - The timebase is set to 12 in this style . The only
              alternative is = 16 ( 4 * sixteenth notes ).Set the
              timebase by moving up to the timebase box
            - Play the pattern by F4 Key. Adjust the playback
              tempo by [ ] while the pattern is playing
            - note that the last high hat note has a * beside it .
              This indicates that there is an alternate note which is
              played a certain % of time as set by the F5 key. This
              particular setting is to play a open high hat 20% of time.
            - change a few notes so you can hear how the grid works
              and then exit by the <F10 Key> . Accept all the default
              settings by pressing <ENTER Key>. If you want to make a
              new pattern in addition to the 1 provided in the A pattern
              move over a '.' and type 'R' to Record a new Drum Pattern
              You will now have a blank drum pattern .
              To erase a pattern type a 0 (zero) onto the main screen
              To copy a pattern type Alt C  then Alt V to paste it
              where you want to .
              The original bluehill.sty has 1 pattern . The #5 is the
              WEIGHT of the pattern relative to others on the same row.
              In this case there are no others on the same row, but if
              there were the WEIGHTS would determine the probabilty
              of each of them being played relative to each other

   Drums A pattern  5 5 2 . . . . . . . . . . . . .
       This row has 3 patterns recorded , 2 with weight of 5
       and one of weight =2 . At time of playback the pattern of
       weight=2 will be played less often then than the two with
       higher weight.

           Play the other patterns by moving over them and
           pressing F4 Key .
           Try recording a new bass pattern
           Move the cursor to the box beside the bass pattern
           already recorded . You should be recording a similar
           sounding pattern , as it will be picked randomly
           instead of the other one during playback and you wouldn't
           want a drastic change .

   Bass  A 8 Beat   5 . . . .
                      ^
                      Press R with cursor on this box

            To record the bass pattern : press 'R' for Record
            The total time that the patterns will play is 4 bars
            2 bar leadin to prepare you to record the 2 bar pattern
            LET THE PATTEN PLAY TO THE END - IT WILL SHUT OFF AUTOMATICALLY
            IF YOU PRESS A KEY TO STOP PREMATURELY THE PATTERN WILL BE
            REJECTED

            Record the bass pattern in the Key of C - based on
            a C7 chord C E G Bb . The Root of the pattern is Midi Note
            Number 48 .(C)
            Accept all the default settings .
            Playback the pattern <F4>
            Quantize the pattern by typing ALT Q and choosing 12/bar
            See how the pattern will sound on different chords by
            typing F8 key.
            Put all your patterns in the row for 8 beat for now.
            The other rows  4 beat / 2 beat / 1 beat are used to
            provide custom patterns for chords in a song that last shorter
            durations. If no patterns are recorded the program will
            pick from the 8 beat pattern and will truncate the pattern .


            Try the same process with piano - playing a pattern
            on a C7 chord centered around Middle C .
            Try a pattern using a Macro Note , specifically use
            the Macro Piano Note 84 which is a POP Chord . Remember
            to turn Macro Notes on at the end of the pattern in the
            box that pops up , and then listen to the Macro Note
            pattern by  typing the F8 Key.

            When you're done - press F10 then save under a different
            name and exit - Have a look at the size of the file -
            adding a pattern adds only about 50 bytes to the size of
            the .STY file so you can input literally hundreds of patterns
            to make a complex, varied style .

            Hear you're style by typing in the chords to
            Blue Hill and playing it in BlueHill.STY
             ( or your renamed style ) by pressing the F8 key


       End of tutorial





8.Saving /Compiling Style to disk
  At the end of your session , or to be safe you should save your
  style . This is done by F10 key . It is a good idea to
  give new names to the style each time you save it: MyPop1,MyPop2,MyPypop3
  The styles are tiny (6k) and won't take up much space , so these types
  of backups will insure that you won't screw up a good style )

  When you want to play a song in your style ( you  must have exited
    the Style Maker ) use the F8 Key to Play In User Style , or F9 Key
    to Choose a User Style .If your style is on a different subdirectory
    you can hunt for it by using the last icon in the file list ( press
    Enter ).

9.Endings
   Ending Patterns work similar to Others except
        1. Drum patterns are always 2 bars consisting of 2 one bar patterns
           with the second pattern  being the one to the immediate right
           of the first one
        2. Bass Patterns + Piano Patterns are always 2 bars and will
        correspond to the drum ending pattern ( ie. directly under it )
        Therefore , you can have several different endings with weights
        attatched , Once an ending is picked , the drums/bass/piano will
        all be co-ordinated in playing patterns in the same columns.
        3. The Ending will occur in a song on the Bar following the
           Chorus End . Endings will always be played with a song unless
                        Endings have been turned off from the Settings
                        window accessed by the TAB Key .
           For example : A Song with no intro has Chorus
                         From Bar 1-32 . In Bar 33 a Cmaj7 is typed in .

10. Other Masks

    -Roman Mask : This mask will allow the pattern only if
                  it is the same Roman Numeral as the specified mask.
                  ex. If a pattern is intended only for IIm7 ( read as
                  'Two Minor Seventh' ) chords  you could set
                  a Roman Mask of 2 and a Chord Mask of 4 ( = m7 from
                  table below )
   - Chord Mask : This mask is used when a pattern would only be
                  intended for a specific type of chord , and you
                  don't want it transformed to other chords .
                  eg a blues lick that would work only on dominant 7th
                  chords would have a chord mask of 9 (= dom 7 )

  Chord Masks

           1  Major                   C
           2  Major 7th               Cmaj7
           3  Minor                   Cm
           4  Minor 7                 Cm7
           5  m7b5                    Cm7b5
           6  Diminished              Cdim
           7  Sus                     Csus
           8  Sus7                    Csus7
           9  Dominant 7th            C7  C9   C13  C9#11
           10 Altered Dominant 7th    C7b9 C7#9 C7b9b13
           11 Major or Dominant 7th   C   C7   C9   C13 (used in blues )

  Tempo Masks
      Certain patterns esp. drums will only sound good at slow or fast
      tempos . It is therefore useful to mask a pattern for slow/fast
      tempos .
     if set to 0 ( no mask ) the pattern might be played at any tempo
     if set to 1 will only be played at slow tenpos
     if set to 2 will be played only at fast tempos

     ex a drum fill with sixteenth notes - should set tempo maks
     =1 = slow so won't be played at fast tempos .
     Slow/fast tempo is defined as +/- 25% above/below the tempo
     set with the style from the main StyleMAker screen .


    Next Interval Mask

      Certain patterns ( bass patterns ) are dependant on where
      the root of the next chord is going - ex up a fourth , down
      a fourth , up a third etc.
      There are some bass macros ( Walking Notes ) which help by
      walking to the next chord but in situations where this i s not
      suitable tou can make a pattern and set the Interval Mask
      to = the desired Interval - do you can record a bass pattern
      for chords that are followed by a chord with the root a fourth
      above for example . This is useful for walking bass lines in jazz.

      End of Style Help.BB